# Uses of Record Class
org.apache.lucene.facet.taxonomy.SearcherTaxonomyManager.SearcherAndTaxonomy

Packages that use SearcherTaxonomyManager.SearcherAndTaxonomy
Package
Description
org.apache.lucene.facet.taxonomy
Taxonomy of Categories.

- ## Uses of SearcherTaxonomyManager.SearcherAndTaxonomy in org.apache.lucene.facet.taxonomy

  Methods in org.apache.lucene.facet.taxonomy that return SearcherTaxonomyManager.SearcherAndTaxonomy
  Modifier and Type
  Method
  Description
  `protected SearcherTaxonomyManager.SearcherAndTaxonomy`
  SearcherTaxonomyManager.`refreshIfNeeded(SearcherTaxonomyManager.SearcherAndTaxonomy ref)`
  Methods in org.apache.lucene.facet.taxonomy with parameters of type SearcherTaxonomyManager.SearcherAndTaxonomy
  Modifier and Type
  Method
  Description
  `protected void`
  SearcherTaxonomyManager.`decRef(SearcherTaxonomyManager.SearcherAndTaxonomy ref)`
  `protected int`
  SearcherTaxonomyManager.`getRefCount(SearcherTaxonomyManager.SearcherAndTaxonomy reference)`
  `protected SearcherTaxonomyManager.SearcherAndTaxonomy`
  SearcherTaxonomyManager.`refreshIfNeeded(SearcherTaxonomyManager.SearcherAndTaxonomy ref)`
  `protected boolean`
  SearcherTaxonomyManager.`tryIncRef(SearcherTaxonomyManager.SearcherAndTaxonomy ref)`